Skip to main content
GET
/
v1
/
prediction
/
candidates
/
search
Search candidates
curl --request GET \
  --url https://api.aries.com/v1/prediction/candidates/search \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "count": 1,
    "isCountExact": true,
    "page": 1,
    "pages": 1,
    "perPage": 20
  },
  "results": [
    {
      "activeThrough": 2024,
      "candidateId": "H0CA12034",
      "candidateInactive": false,
      "candidateStatus": "C",
      "cycles": [
        2024
      ],
      "district": "12",
      "districtNumber": 12,
      "electionDistricts": [
        "12"
      ],
      "electionYears": [
        2024
      ],
      "federalFundsFlag": false,
      "firstFileDate": "2023-02-14",
      "hasRaisedFunds": true,
      "inactiveElectionYears": [],
      "incumbentChallenge": "I",
      "incumbentChallengeFull": "Incumbent",
      "lastF2Date": "2024-03-01",
      "lastFileDate": "2024-04-10",
      "loadDate": "2024-04-10T12:30:00Z",
      "name": "Jane Smith",
      "office": "H",
      "officeFull": "House",
      "party": "DEM",
      "partyFull": "Democratic Party",
      "principalCommittees": [
        {
          "affiliatedCommitteeName": "Jane Smith for Congress",
          "candidateIds": [
            "H0CA12034"
          ],
          "committeeId": "C00694323",
          "committeeType": "H",
          "committeeTypeFull": "House",
          "cycles": [
            2024
          ],
          "designation": "P",
          "designationFull": "Principal campaign committee",
          "filingFrequency": "Q",
          "firstF1Date": "2023-02-15",
          "firstFileDate": "2023-02-15",
          "lastF1Date": "2024-01-31",
          "lastFileDate": "2024-04-10",
          "name": "Jane Smith for Congress",
          "organizationType": "",
          "organizationTypeFull": "",
          "party": "DEM",
          "partyFull": "Democratic Party",
          "state": "CA",
          "treasurerName": "Alex Doe"
        }
      ],
      "state": "CA"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

page
integer | null

Page number for pagination.

perPage
integer | null

Number of results to return per page.

keywords
string[]

Full-text search keywords.

candidateId
string[]

Filter by one or more candidate IDs.

minFirstFileDate
string | null

Filter candidates first filed on or after this date.

maxFirstFileDate
string | null

Filter candidates first filed on or before this date.

isActiveCandidate
boolean | null

Filter by whether the candidate is currently active.

cycle
integer[]

Filter by one or more filing cycles.

electionYear
integer[]

Filter by one or more election years.

office
string[]

Filter by office code.

state
string[]

Filter by state or territory.

party
string[]

Filter by party code.

year
string | null

Filter by year.

district
string[]

Filter by district.

candidateStatus
string[]

Filter by candidate status.

incumbentChallenge
string[]

Filter by incumbent, challenger, or open-seat status.

federalFundsFlag
boolean | null

Filter by whether federal funds are involved.

hasRaisedFunds
boolean | null

Filter by whether the candidate has raised funds.

name
string[]

Filter by name.

sortBy
enum<string> | null

Field to sort by.

Available options:
name
sortOrder
enum<string> | null

Sort direction.

Available options:
ascending
sortHideNull
boolean | null

Hide rows where the sorted field is null.

sortNullOnly
boolean | null

Return only rows where the sorted field is null.

sortNullsLast
boolean | null

Place null values after non-null values when sorting.

Response

Successful response

pagination
object
results
object[]